# Node classification using StellarGraph

<!-- DOCS LINKS -->
<!-- autogenerated by scripts/demo_indexing.py, edit that file instead of this location -->

These demos are displayed with detailed descriptions in the documentation: https://stellargraph.readthedocs.io/en/stable/demos/node-classification/

| Demo | Source |
|---|---|
| [Node classification via node representations with attri2vec](https://stellargraph.readthedocs.io/en/stable/demos/node-classification/attri2vec-node-classification.html) | [source](attri2vec-node-classification.ipynb) |
| [Node classification with Cluster-GCN](https://stellargraph.readthedocs.io/en/stable/demos/node-classification/cluster-gcn-node-classification.html) | [source](cluster-gcn-node-classification.ipynb) |
| [Node classification with directed GraphSAGE](https://stellargraph.readthedocs.io/en/stable/demos/node-classification/directed-graphsage-node-classification.html) | [source](directed-graphsage-node-classification.ipynb) |
| [Node classification with Graph ATtention Network (GAT)](https://stellargraph.readthedocs.io/en/stable/demos/node-classification/gat-node-classification.html) | [source](gat-node-classification.ipynb) |
| [Semi-supervised node classification via GCN, Deep Graph Infomax and fine-tuning](https://stellargraph.readthedocs.io/en/stable/demos/node-classification/gcn-deep-graph-infomax-fine-tuning-node-classification.html) | [source](gcn-deep-graph-infomax-fine-tuning-node-classification.ipynb) |
| [Node classification with Graph Convolutional Network (GCN)](https://stellargraph.readthedocs.io/en/stable/demos/node-classification/gcn-node-classification.html) | [source](gcn-node-classification.ipynb) |
| [(Moved) Node classification with Graph Convolutional Network (GCN)](https://stellargraph.readthedocs.io/en/stable/demos/node-classification/gcn/gcn-cora-node-classification-example.html) | [source](gcn/gcn-cora-node-classification-example.ipynb) |
| [Inductive node classification and representation learning using GraphSAGE](https://stellargraph.readthedocs.io/en/stable/demos/node-classification/graphsage-inductive-node-classification.html) | [source](graphsage-inductive-node-classification.ipynb) |
| [Node classification with GraphSAGE](https://stellargraph.readthedocs.io/en/stable/demos/node-classification/graphsage-node-classification.html) | [source](graphsage-node-classification.ipynb) |
| [Node classification with Node2Vec using Stellargraph components](https://stellargraph.readthedocs.io/en/stable/demos/node-classification/keras-node2vec-node-classification.html) | [source](keras-node2vec-node-classification.ipynb) |
| [Node classification with Node2Vec](https://stellargraph.readthedocs.io/en/stable/demos/node-classification/node2vec-node-classification.html) | [source](node2vec-node-classification.ipynb) |
| [Node classification with weighted Node2Vec](https://stellargraph.readthedocs.io/en/stable/demos/node-classification/node2vec-weighted-node-classification.html) | [source](node2vec-weighted-node-classification.ipynb) |
| [Node classification with Personalised Propagation of Neural Predictions (PPNP) and Approximate PPNP (APPNP)](https://stellargraph.readthedocs.io/en/stable/demos/node-classification/ppnp-node-classification.html) | [source](ppnp-node-classification.ipynb) |
| [Node classification with Relational Graph Convolutional Network (RGCN)](https://stellargraph.readthedocs.io/en/stable/demos/node-classification/rgcn-node-classification.html) | [source](rgcn-node-classification.ipynb) |
| [Node classification with Simplified Graph Convolutions (SGC)](https://stellargraph.readthedocs.io/en/stable/demos/node-classification/sgc-node-classification.html) | [source](sgc-node-classification.ipynb) |

The demo titles link to the latest, nicely rendered version. The 'source' links will open the demo in the application in which this README is being viewed, such as Jupyter Lab (ready for execution).
<!-- DOCS LINKS -->
